%define anolis_release 1

%global         srcname  asyncssh
%global         desc     Python 3 library for asynchronous client and\
server-side SSH communication. It uses the Python asyncio module and\
implements many SSH protocol features such as the various channels,\
SFTP, SCP, forwarding, session multiplexing over a connection and more.

Name:           python-%{srcname}
Version:        2.14.1
Release:        %{anolis_release}%{?dist}
Summary:        Asynchronous SSH for Python

License:        EPL-2.0 or GPLv2+
URL:            https://github.com/ronf/asyncssh
Source0:        %pypi_source


BuildArch:      noarch

# required for py3_build macro
BuildRequires:  python3-devel

BuildRequires:  python3-setuptools

# required by unittests
BuildRequires:  nmap-ncat
BuildRequires:  openssh-clients
BuildRequires:  openssl
BuildRequires:  python3-bcrypt
BuildRequires:  python3-gssapi
BuildRequires:  python3-libnacl
BuildRequires:  python3-pyOpenSSL

BuildRequires:  python3-cryptography

BuildRequires:  python3-typing-extensions

# for ed25519 etc.
Recommends:     python3-libnacl

# for OpenSSH private key encryption
Suggests:       python3-bcrypt
# for GSSAPI key exchange/authentication
Suggests:       python3-gssapi
# for X.509 certificate authentication
Suggests:       python3-pyOpenSSL
# for U2F etc. support
Suggests:       python3-fido2

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%package -n python3-%{srcname}-doc
Summary:        %{summary}
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
doc files for python3-%{srcname}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
sed -i '1,1s@^#!.*$@#!%{__python3}@' examples/*.py
%py3_build

%install
%py3_install

%check
%{__python3} -m unittest discover -s tests -t . -v

%files -n python3-%{srcname}
%license LICENSE COPYRIGHT
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*-py*.egg-info/

%files -n python3-%{srcname}-doc
%doc README.rst examples

%changelog
* Sat Nov 25 2023 Funda Wang <fundawang@yeah.net> - 2.14.1-1
- New version 2.14.1

* Sat Apr 15 2023 Funda Wang <fundawang@yeah.net> - 2.13.1-1
- Import package for anolis 23
